# Generated from oceania-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name oceania

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Watches all the users on your site and allows you to see debug logs for each page
License: MIT
URL: http://www.lcn.com/oceania
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Like the fictional state of Oceania in George Orwell's 1984, this gem watches
all the users on your site, traces their movements and keeps detailed logs
from the pages they view.  Helps developers to backtrace problems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/oceania.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
